<form class="{{cssClass}} flexcol" autocomplete="off">
 
    {{!-- Item Sheet Header --}}
    <header class="sheet-header flexrow">
        <img class="profile" src="{{item.img}}" title="{{item.name}}" data-edit="img"/>
 
        <div class="header-details flexrow">
            <h1 class="charname">
                <input name="name" type="text" value="{{item.name}}" placeholder="{{ localize 'mez5e.ItemName' }}"/>
            </h1>
 
            <div class="item-subtitle">
                <h4 class="item-type">{{itemType}}</h4>
                <span class="item-status">{{itemStatus}}</span>
            </div>
 
            <ul class="summary flexrow">
                <li>
                    {{lookup config.weaponTypes data.weaponType }}
                </li>
                <li>
                    <input type="text" name="data.rarity" value="{{data.rarity}}" placeholder="{{ localize 'mez5e.Rarity' }}"/>
                </li>
                <li>
                    <input type="text" name="data.source" value="{{data.source}}" placeholder="{{ localize 'mez5e.Source' }}"/>
                </li>
            </ul>
        </div>
    </header>
 
    {{!-- Item Sheet Navigation --}}
    <nav class="sheet-navigation tabs" data-group="primary">
        <a class="item active" data-tab="description">{{ localize "mez5e.Description" }}</a>
        <a class="item" data-tab="details">{{ localize "mez5e.Details" }}</a>
        <a class="item" data-tab="effects">{{ localize "mez5e.Effects" }}</a>
    </nav>
 
    {{!-- Item Sheet Body --}}
    <section class="sheet-body">
 
        {{!-- Description Tab --}}
        {{> "systems/mez5e/templates/items/parts/item-description.html"}}
 
        {{!-- Details Tab --}}
        <div class="tab details" data-group="primary" data-tab="details">
            <h3 class="form-header">{{ localize "mez5e.ItemWeaponDetails" }}</h3>
 
            {{!-- Weapon Type --}}
            <div class="form-group">
                <label>{{ localize "mez5e.ItemWeaponType" }}</label>
                <select name="data.weaponType">
                    {{#select data.weaponType}}
                    {{#each config.weaponTypes as |name type|}}
                    <option value="{{type}}">{{name}}</option>
                    {{/each}}
                    {{/select}}
                </select>
            </div>
 
            {{#unless isMountable}}
            <div class="form-group">
                <label>{{localize "mez5e.Attunement"}}</label>
                <select name="data.attunement" data-dtype="Number">
                    {{selectOptions config.attunements selected=data.attunement localize=true}}
                </select>
            </div>
 
            {{!-- Weapon Status --}}
            <div class="form-group stacked">
                <label>{{ localize "mez5e.ItemWeaponStatus" }}</label>
                <div class="form-fields">
                    <label class="checkbox">
                        <input type="checkbox" name="data.proficient" {{checked data.proficient}}/> {{ localize "mez5e.Proficient" }}
                    </label>
                    <label class="checkbox">
                        <input type="checkbox" name="data.equipped" {{checked data.equipped}}/> {{ localize "mez5e.Equipped" }}
                    </label>
                    <label class="checkbox">
                        <input type="checkbox" name="data.identified" {{checked data.identified}}/> {{ localize "mez5e.Identified" }}
                    </label>
                </div>
            </div>
            {{/unless}}
 
            {{!-- Weapon Properties --}}
            <div class="form-group stacked weapon-properties">
                <label>{{ localize "mez5e.ItemWeaponProperties" }}</label>
                {{#each config.weaponProperties as |name prop|}}
                <label class="checkbox">
                    <input type="checkbox" name="data.properties.{{prop}}" {{checked (lookup ../data.properties prop)}}/> {{ name }}
                </label>
                {{/each}}
            </div>
 
            {{#if isMountable}}
            <div class="form-group">
                <label>{{localize 'mez5e.ArmorClass'}}</label>
                <div class="form-fields">
                    <input type="text" name="data.armor.value" value="{{data.armor.value}}"
                           data-dtype="Number">
                </div>
            </div>
 
            {{> 'systems/mez5e/templates/items/parts/item-mountable.html'}}
            {{/if}}
 
            <h3 class="form-header">{{ localize "mez5e.ItemWeaponUsage" }}</h3>
 
            {{!-- Item Activation Template --}}
            {{> "systems/mez5e/templates/items/parts/item-activation.html"}}
 
            <h3 class="form-header">{{ localize "mez5e.ItemWeaponAttack" }}</h3>
 
            {{!-- Item Action Template --}}
            {{> "systems/mez5e/templates/items/parts/item-action.html"}}
        </div>
 
        {{!-- Effects Tab --}}
        <div class="tab effects flexcol" data-group="primary" data-tab="effects">
            {{> "systems/mez5e/templates/actors/parts/active-effects.html"}}
        </div>
    </section>
</form>
 

